import * as constants from '@wisdom-utils/components/lib/AppLayout/helpers/constants';
export const API = {
  CHANGE_PASSWORD: 'cityinterface/rest/services.svc/changepassword',
  IOT_CHANGE_PASSWORD: 'CityInterface/rest/services/OMS.svc/U_UpdatePasswordQuickGCK',
  FILE_DOWNLOAD: '/cityinterface/rest/services/filedownload.svc/download',
  UPDATE_AVATAR: '/CityInterface/rest/services/OMs.svc/U_EditUser',
  UPLOAD_FILE_URL:
    '/cityinterface/rest/services/filedownload.svc/uploadfile/个人信息/{path}/{filename}',
  AVATAR_FILE_URL: '/cityinterface/rest/services/filedownload.svc/download',
  GET_VERSION: '/CityInterface/rest/services/OMs.svc/U_GetVersion',
};

const services = {
  changePassword: {
    url: () =>
      window.globalConfig &&
      (window.globalConfig.loginTemplate === 'Dark - IOTMultiLogin.html' ||
        window.globalConfig.loginTemplate === '新春 - 智联.html')
        ? API.IOT_CHANGE_PASSWORD
        : API.CHANGE_PASSWORD,
    method: constants.REQUEST_METHOD_GET,
    type: constants.REQUEST_HTTP,
  },
  getVersion: {
    url: API.GET_VERSION,
    method: constants.REQUEST_METHOD_GET,
    type: constants.REQUEST_HTTP,
    showErrorType: 0,
  },
  updateAvatar: {
    url: API.UPDATE_AVATAR,
    method: constants.REQUEST_METHOD_GET,
    type: constants.REQUEST_HTTP,
  },
};

export default services;
