export const REQUEST_SERVICE = {
  EIMTopic: '/EIM/info',
  SaveWaTopic: '/saveWater/info',
  SystemTopic: '/system/info',
  WorkerOrderTopic: '/workerOrder/info',
  ScadaTopic: '/scada/alarm',
  UserTopic: '/Message/',
};

// 消息类型归类：报警类、工单类、系统消息类、其他
export const MESSAGE_TYPE = {
  ALARM_TYPE: 'alarmType',
  CASE_TYPE: 'caseType',
  SYS_TYPE: 'sysType',
  UNKNOWN: 'unknown',
};

export const NEW_MESSAGE = 'NEW_MESSAGE';


export const USERNAME = 'mao2080';
export const PASSWORD = '123';
export const PLATFORM_LEVEL = '4';
export const VIDEO_LEVEL = '5';
export const SYS_LEVEL = '6';
export const ERR_OK = '0000';
export const DEFAULT_TCP_PORT = 443;
export const DEFAULT_TCP_IP = 'emqttd.panda-water.cn';
export const DEFAULT_MQTT_PATH = '/mqtt';
export const DEFAULT_KEEPLIVE = 60;
export const DEFAULT_TIMEOUT = 50;
export const DEFAULT_PARSE_LEVEL = '1.0';
